curl --request GET \
--url http://api.stuut.ai/v1/bank-transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.stuut.ai/v1/bank-transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.stuut.ai/v1/bank-transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "<string>",
"amount": 123,
"object": "<string>",
"posted": true,
"reference_number": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"type": "deposit",
"id": "<string>",
"account_mask": "<unknown>",
"authorized_at": "2023-11-07T05:31:56Z",
"check_number": "<string>",
"counterparty_email": "<string>",
"counterparty_logo": "<string>",
"counterparty_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "ADP",
"currency_rate": 123,
"custom_fields": "<unknown>",
"description": "<string>",
"description_details": "<unknown>",
"invoice_numbers": [
"<string>"
],
"is_draft": true,
"last_synced_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"partner": {
"id": "<string>",
"account_number": "<string>",
"ap_portals": [
{
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"account": {
"object": "<string>",
"organization_id": "<string>",
"provider": "coupa",
"id": "<string>",
"available_operations": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"account_id": "<string>",
"account_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer_identifier": "<string>",
"customer_name": "<string>",
"invoice_submission_guidelines": "<string>",
"is_enabled": true,
"is_invoice_submission_enabled": true,
"is_report_download_enabled": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "coupa",
"report_email": "<string>",
"report_frequency": "daily"
}
],
"assignee": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"assignee_id": "<string>",
"billing_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"billing_address_id": 123,
"contacts": [
{
"email": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"address_id": 123,
"addresses": [
{
"object": "<string>",
"id": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_primary": true,
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"external_role": "billing_contact",
"family_name": "<string>",
"given_name": "<string>",
"internal_role": "account_manager",
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary": true,
"is_primary_email": true,
"is_primary_phone": true,
"job_title": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"status_metadata": "<unknown>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"currency": "ADP",
"custom_fields": "<unknown>",
"description": "<string>",
"email": "<string>",
"family_name": "<string>",
"finix_identity_id": "<string>",
"given_name": "<string>",
"invoice_prefix": "<string>",
"is_active": true,
"is_company": true,
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary_email": true,
"is_primary_phone": true,
"last_outreach_at": "2023-11-07T05:31:56Z",
"last_outreach_channel": "email",
"last_outreach_to": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"legal_name": "<string>",
"linked_integration": {
"integration_name": "<string>",
"is_configured": true,
"object": "<string>",
"settings": {},
"id": "<string>",
"api_subdomain": "<string>",
"api_url": "<string>",
"connection_info": null,
"created_at": "2023-11-07T05:31:56Z",
"credentials_expire_at": "2023-11-07T05:31:56Z",
"health": {
"status": "incomplete",
"details": null,
"message": null,
"reason": null
},
"identity_info": null,
"integration": {
"display_name": "<string>",
"name": "<string>",
"object": "<string>",
"api_base_url": "<string>",
"api_documentation_url": null,
"api_requires_subdomain": false,
"auth_type": null,
"categories": [
"accounting"
],
"color": null,
"connection_guide_url": null,
"connection_instructions": null,
"connection_steps": [
{
"type": "fetch",
"title": "<string>",
"description": null,
"endpoint": null,
"fields": null,
"post_auth": false
}
],
"created_at": "2023-11-07T05:31:56Z",
"description": null,
"is_enabled": true,
"logo": null,
"logo_square": null,
"modified_at": "2023-11-07T05:31:56Z",
"settings": [
{
"key": "<string>",
"type": "any",
"choices": null,
"description": null,
"format": "text",
"group": null,
"guide_url": null,
"is_editable": false,
"is_required": true,
"is_select": false,
"label": null,
"post_auth": false,
"requires_load": false
}
],
"short_description": null
},
"is_running_setup": true,
"is_sync_disabled": true,
"is_webhooks_enabled": true,
"models": [
{
"integration_schema_id": "<string>",
"linked_integration_id": "<string>",
"name": "<string>",
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"exclude_rule": {},
"field_mappings": null,
"health": {
"status": "incomplete",
"details": null,
"message": null,
"reason": null
},
"is_read_enabled": true,
"is_webhooks_setup": true,
"is_write_enabled": true,
"last_sync": {
"linked_model_id": "<string>",
"object": "<string>",
"run_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"is_initial_sync": true,
"is_one_off": true,
"modified_at": "2023-11-07T05:31:56Z",
"pagination": null,
"run": {
"object": "<string>",
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"data": null,
"event_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"output": null,
"remote_id": "<string>",
"stacktrace": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"status": "scheduled"
},
"timerange_end": "2023-11-07T05:31:56Z",
"timerange_start": "2023-11-07T05:31:56Z"
},
"last_sync_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"sync_requested": true
}
],
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner_id": "<string>",
"requires_setup": true,
"username": "<string>",
"webhook_listener_url": "<string>",
"webhook_setup_error": "<string>"
},
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"object": "<string>",
"on_behalf_of": "<string>",
"on_behalf_of_phone": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"remote_parent_id": "<string>",
"remote_payment_portal_url": "<string>",
"shipping_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"status_metadata": "<unknown>",
"sync_status": "partial",
"tags": [
{
"object": "<string>",
"partner_id": "<string>",
"tag_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_manual": true,
"modified_at": "2023-11-07T05:31:56Z",
"tag": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"rule_condition": {}
}
}
],
"tax_number": "<string>",
"timezone": "Africa/Abidjan"
},
"partner_id": "<string>",
"payment_method": "ach",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"statement_id": "<string>",
"sync_status": "partial",
"transaction_code": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}Retrieve A Bank Transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
The id of the bank_account associated with the transaction.
32The gross amount (less any fees) in the currency's smallest unit, e.g. $10 USD would be represented as 1000. amount must be >= 0
Whether the transaction was posted. If false, the transaction hasn't been settled yet.
The transaction reference number.
If posted, the time the transaction posted. Otherwise the time the transaction was initiated/authorized.
A withdrawal indicates funds flowing out of your account (negative amount). A deposit indicates funds flowing into your account (positive amount).
deposit, withdrawal 1032The datetime this transaction was initiated/authorized.
The check number of the transaction. This field is only populated for check transactions.
The email of the counterparty associated with this transaction.
The logo of the counterparty associated with this transaction.
The name of the counterparty associated with this transaction.
The ISO-4217 currency code of the transaction.
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR, null 3The currency exchange rate at the time of the transaction.
The transaction's detail that often appears on your statement and portal. It can contain remittance information or descriptions about the payment.
The transaction's detail that often appears on your statement and portal. It can contain remittance information or descriptions about the payment.
A list of invoice numbers associated with this transaction.
Whether this transaction is a draft that was created from a bank statement upload that is pending approval.
Show child attributes
Show child attributes
The id of the partner associated with the transaction.
32The method of the transaction.
ach, alipay, au_becs, bacs, card, cash, check, ideal, interac, eft, eps, giropay, klarna, sepa, wechat, wire, other, null 7When the third party's entry was created.
The external ID of the bank transaction. Only exists if the transaction belongs to an account that is related to a bank feed connection.
When the third party's entry was updated.
32The sync status for the bank transaction.
partial, syncing, synced, failed, null 7